Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.portlet.service.credentialvault
Interface CredentialTypes

All Known Subinterfaces:
  CredentialTypes

    public interface CredentialTypes

Credential Type definitions. This interfaces holds credential type constants for all types that are per default installed with the portal server.
Those constants can be used to define the class of `Credential` that is returned by the getCredential method call on the CredentialVaultService.
Per default, the following Credential Types are available:

Credential Type constant = respective implementation class in package `com.ibm.portal.portlet.service.credentialvault.credentials`

- HTTP_BASIC_AUTH = `HttpBasicAuthCredential`
- HTTP_FORM_BASED_AUTH = `HttpFormBasedAuthCredential`
- LTPA_TOKEN = `LtpaTokenCredential`
- LTPA_TOKEN_PASSIVE = `LtpaTokenPassiveCredential`
- LTPA_TOKEN2 = `LtpaToken2Credential`
- SITE_MINDER_TOKEN = `SiteMinderTokenCredential`
- WEB_SEAL_TOKEN = `WebSealTokenCredential`
- JAVA_MAIL = `JavaMailCredential`
- JAAS_SUBJECT_PASSIVE = `JaasSubjectPassiveCredential<`/li>
- SIMPLE_PASSIVE = `SimplePassiveCredential`
- USER_PASSWORD_PASSIVE = `UserPasswordPassiveCredential`
- BINARY_PASSIVE = `BinaryPassiveCredential`

Since:
  6.0
See Also:
  `CredentialVaultService`

Field Summary
`static java.lang.String` | `BINARY_PASSIVE` Credential type constant for the binary data passive credential.
`static java.lang.String` | `HTTP_BASIC_AUTH` Credential type constant for the HTTP basic authentication credential.
`static java.lang.String` | `HTTP_FORM_BASED_AUTH` Credential type constant for the HTTP form based authentication credential.
`static java.lang.String` | `JAAS_SUBJECT_PASSIVE` Credential type constant for the JAAS Subject credential.
`static java.lang.String` | `JAVA_MAIL` Credential type constant for the JavaMail credential.
`static java.lang.String` | `LTPA_TOKEN` Credential type constant for the LTPA authentication token credential.
`static java.lang.String` | `LTPA_TOKEN_PASSIVE` Credential type constant for the LTPA authentication token credential.
`static java.lang.String` | `LTPA_TOKEN2` Credential type constant for the LTPA token2 authentication credential.
`static java.lang.String` | `SIMPLE_PASSIVE` Credential type constant for the simple passive credential.
`static java.lang.String` | `SITE_MINDER_TOKEN` Credential type constant for the SiteMinder autentication token credential.
`static java.lang.String` | `USER_PASSWORD_PASSIVE` Credential type constant for the User/Password passive credential.
`static java.lang.String` | `WEB_SEAL_TOKEN` Credential type constant for the WebSeal autentication token credential.

Field Detail

### HTTP_BASIC_AUTH

    static final java.lang.String HTTP_BASIC_AUTH

  Credential type constant for the HTTP basic authentication credential.

  See Also:
    `HttpBasicAuthCredential`, Constant Field Values

### HTTP_FORM_BASED_AUTH

    static final java.lang.String HTTP_FORM_BASED_AUTH

  Credential type constant for the HTTP form based authentication credential.

  See Also:
    `HttpFormBasedAuthCredential`, Constant Field Values

### LTPA_TOKEN

    static final java.lang.String LTPA_TOKEN

  Credential type constant for the LTPA authentication token credential.

  See Also:
    `LtpaTokenCredential`, Constant Field Values

### LTPA_TOKEN_PASSIVE

    static final java.lang.String LTPA_TOKEN_PASSIVE

  Credential type constant for the LTPA authentication token credential.

  See Also:
    `com.ibm.portal.portlet.service.credentialvault.credentials.LtpaTokenPassiveCredential`, Constant Field Values

### LTPA_TOKEN2

    static final java.lang.String LTPA_TOKEN2

  Credential type constant for the LTPA token2 authentication credential.

  See Also:
    `com.ibm.portal.portlet.service.credentialvault.credentials.LtpaToken2Credential`, Constant Field Values

### SITE_MINDER_TOKEN

    static final java.lang.String SITE_MINDER_TOKEN

  Credential type constant for the SiteMinder autentication token credential.

  See Also:
    `SiteMinderTokenCredential`, Constant Field Values

### WEB_SEAL_TOKEN

    static final java.lang.String WEB_SEAL_TOKEN

  Credential type constant for the WebSeal autentication token credential.

  See Also:
    `WebSealTokenCredential`, Constant Field Values

### JAVA_MAIL

    static final java.lang.String JAVA_MAIL

  Credential type constant for the JavaMail credential.

  See Also:
    `JavaMailCredential`, Constant Field Values

### JAAS_SUBJECT_PASSIVE

    static final java.lang.String JAAS_SUBJECT_PASSIVE

  Credential type constant for the JAAS Subject credential.

  See Also:
    `JaasSubjectPassiveCredential`, Constant Field Values

### SIMPLE_PASSIVE

    static final java.lang.String SIMPLE_PASSIVE

  Credential type constant for the simple passive credential.

  See Also:
    `SimplePassiveCredential`, Constant Field Values

### USER_PASSWORD_PASSIVE

    static final java.lang.String USER_PASSWORD_PASSIVE

  Credential type constant for the User/Password passive credential.

  See Also:
    `UserPasswordPassiveCredential`, Constant Field Values

### BINARY_PASSIVE

    static final java.lang.String BINARY_PASSIVE

  Credential type constant for the binary data passive credential.

  See Also:
    `BinaryPassiveCredential`, Constant Field Values

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD